# DirectBilling

## Retrieving a list of services

 - [GET /directbilling](https://docs.simpay.pl/en/apis/directbilling/directbillinggetservices.md)

## Retrieving service information

 - [GET /directbilling/{serviceId}](https://docs.simpay.pl/en/apis/directbilling/directbillingservice.md)

## Commission calculation

 - [GET /directbilling/{serviceId}/calculate](https://docs.simpay.pl/en/apis/directbilling/directbillingservicecalculate.md)

## Retrieving a list of transactions

 - [GET /directbilling/{serviceId}/transactions](https://docs.simpay.pl/en/apis/directbilling/directbillingtransactions.md)

## Generating a transaction

 - [POST /directbilling/{serviceId}/transactions](https://docs.simpay.pl/en/apis/directbilling/directbillingtransactioncreate.md)

## Retrieving transaction information

 - [GET /directbilling/{serviceId}/transactions/{transactionId}](https://docs.simpay.pl/en/apis/directbilling/directbillingtransaction.md)

## Receiving DirectBilling transaction information

 - [POST directbillingTransactionNotification](https://docs.simpay.pl/en/apis/directbilling/directbillingtransactionnotification.md): # Signature

## Calculating the signature when receiving a notification
We generate the signature by combining all the parameters received (except for the signature) to the API in the order from the table above, separating them with a | separator and adding at the end the key available in the customer panel in the service. 
Hashing must be done using sha256. 
Example: 
dc261d4f-31ef-4728-bfd6-97bbe2a5ef0a|e14f8074|transaction_db_payed|11.07|13.67|5.00|https://www.simpay.pl/complete|https://www.simpay.pl/failure|test|123123123|1|key

The notification is sent using the POST method and requires you to respond in the body with OK and Http Code 200

